﻿/**Begin C:\Users\rd_xiang_qiu\Desktop\svn-brower\PDM规范\PDM_UPGRADE\pdm1\SSC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_ACHIEVESCHEME') 
 CREATE TABLE T_TK_ACHIEVESCHEME (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FASSESSPERIOD CHAR(1) DEFAULT ' ' NOT NULL,
FASSESSOBJECT CHAR(1) DEFAULT ' ' NOT NULL,
FACCESSNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FSSCID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_ACHIEVESCHEME_L') 
 CREATE TABLE T_TK_ACHIEVESCHEME_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_PROCESSOPERATION') 
 CREATE TABLE T_TK_PROCESSOPERATION (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPOACHIEVEID BIGINT DEFAULT 0 NOT NULL,
FPOTARGETTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FPOUNITID BIGINT DEFAULT 0 NOT NULL,
FPOSTANDARD INT DEFAULT 0 NOT NULL,
FPOTARGET INT DEFAULT 0 NOT NULL,
FPOWEIGHT INT DEFAULT 0 NOT NULL,
FPODESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_CUSTOMERPLEASED') 
 CREATE TABLE T_TK_CUSTOMERPLEASED (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCPACHIEVEID BIGINT DEFAULT 0 NOT NULL,
FCPTARGETTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FCPUNITID BIGINT DEFAULT 0 NOT NULL,
FCPSTANDARD INT DEFAULT 0 NOT NULL,
FCPTARGET INT DEFAULT 0 NOT NULL,
FCPWEIGHT INT DEFAULT 0 NOT NULL,
FCPDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_LEARNGROWTH') 
 CREATE TABLE T_TK_LEARNGROWTH (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FLRACHIEVEID BIGINT DEFAULT 0 NOT NULL,
FLRTARGETTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FLRUNITID BIGINT DEFAULT 0 NOT NULL,
FLRSTANDARD INT DEFAULT 0 NOT NULL,
FLRTARGET INT DEFAULT 0 NOT NULL,
FLRWEIGHT INT DEFAULT 0 NOT NULL,
FLRDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_COSTCONTROL') 
 CREATE TABLE T_TK_COSTCONTROL (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCCACHIEVEID BIGINT DEFAULT 0 NOT NULL,
FCCTARGETTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FCCUNITID BIGINT DEFAULT 0 NOT NULL,
FCCSTANDARD INT DEFAULT 0 NOT NULL,
FCCTARGET INT DEFAULT 0 NOT NULL,
FCCWEIGHT INT DEFAULT 0 NOT NULL,
FCCDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_ACHIEVEGROUP') 
 CREATE TABLE T_TK_ACHIEVEGROUP (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_ACHIEVEUSER') 
 CREATE TABLE T_TK_ACHIEVEUSER (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_ACHIEVEROLE') 
 CREATE TABLE T_TK_ACHIEVEROLE (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_WORKLOADONLINE') 
 CREATE TABLE T_TK_WORKLOADONLINE (
FID BIGINT DEFAULT 0 NOT NULL,
FSSCID BIGINT DEFAULT 0 NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FCOMPLETETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FHANDLERID BIGINT DEFAULT 0 NOT NULL,
FATTRIBUTE CHAR(1) DEFAULT ' ' NOT NULL,
FTASKTYPE BIGINT DEFAULT 0 NOT NULL,
FTASKNUM INT DEFAULT 1 NOT NULL,
FTASKCOEFFICENT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTANDARDNUM DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_EXTRAPOINTS') 
 CREATE TABLE T_TK_EXTRAPOINTS (
FID BIGINT DEFAULT 0 NOT NULL,
FSSCID BIGINT DEFAULT 0 NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FDATE DATETIME,
FPROJECT BIGINT DEFAULT 0 NOT NULL,
FSCORE INT DEFAULT 0 NOT NULL,
FREASON VARCHAR(1000) DEFAULT ' ' NOT NULL
);



/**End C:\Users\rd_xiang_qiu\Desktop\svn-brower\PDM规范\PDM_UPGRADE\pdm1\SSC_table.sql **/
