/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SSC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_MAPPED_BILLTYPE') 
 CREATE TABLE T_TK_MAPPED_BILLTYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FUPDATETIME DATETIME,
FFLAGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_MAPPED_RELATION') 
 CREATE TABLE T_TK_MAPPED_RELATION (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBILLFIELDSOURCE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLFIELDSOURCENUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FMAPPEDTYPE VARCHAR(4) DEFAULT ' ' NOT NULL,
FMAPPEDFIELD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMAPPEDFIELDNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 't_tk_smartapproval_data') 
 CREATE TABLE t_tk_smartapproval_data (
FID BIGINT DEFAULT 0 NOT NULL,
FTASKID VARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLTYPEID VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSSCID VARCHAR(50) DEFAULT ' ' NOT NULL,
FIMAGEOK VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FRECORDTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FFEETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FMONEY DECIMAL(19,6) DEFAULT 0 NOT NULL,
FISNEEDIMAGE VARCHAR(10) DEFAULT ' ' NOT NULL,
FCREDITLEVEL VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREDITVALUE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FUSER VARCHAR(50) DEFAULT ' ' NOT NULL,
FUNQUALIFIEDTOTALNUM BIGINT DEFAULT 0 NOT NULL,
FYZJIMPORTED VARCHAR(10) DEFAULT ' ' NOT NULL,
FORGPATTERNID VARCHAR(10) DEFAULT ' ' NOT NULL,
FISPURCHASE VARCHAR(10) DEFAULT ' ' NOT NULL,
FISSALE VARCHAR(10) DEFAULT ' ' NOT NULL,
FISINVENTORY VARCHAR(10) DEFAULT ' ' NOT NULL,
FISACCOUNTING VARCHAR(10) DEFAULT ' ' NOT NULL,
FCREATETIME_ORG DATETIME,
FISBIZORG VARCHAR(10) DEFAULT ' ' NOT NULL,
FGENDER VARCHAR(10) DEFAULT ' ' NOT NULL,
FUSERTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FSTATE VARCHAR(10) DEFAULT ' ' NOT NULL,
FCREATETIME_USER DATETIME,
FWITHDRAWAL VARCHAR(200) DEFAULT ' ' NOT NULL,
FBREAKRULE VARCHAR(200) DEFAULT ' ' NOT NULL,
FOPERATION VARCHAR(200) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(4) DEFAULT ' ' NOT NULL,
FCOUNT INT DEFAULT 0 NOT NULL,
FERRINFO NVARCHAR(1000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_APPROVE_ALGORITHM') 
 CREATE TABLE T_TK_APPROVE_ALGORITHM (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(1) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FACCURACY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSERVICENAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FMODELNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FTRAINSIZE INT DEFAULT 0 NOT NULL,
FUSEDTIMES INT DEFAULT 0 NOT NULL,
FLASTTRAINTIME DATETIME,
FTHRESHOLD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECALLRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAUC DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECOMMEND VARCHAR(1000) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_APPROVE_ALGORITHM_L') 
 CREATE TABLE T_TK_APPROVE_ALGORITHM_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(300) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_ALGRI_INFLUENTRY') 
 CREATE TABLE T_TK_ALGRI_INFLUENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FINFLUENCEFACTOR VARCHAR(50) DEFAULT ' ' NOT NULL,
FFACTORINFLURATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECOMMEND VARCHAR(300) DEFAULT ' ' NOT NULL
);
/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SSC_table.sql **/
