﻿/**Begin D:\绩效管理\PDM_UPGRADE\PDM_UPGRADE\pdm1\SSC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_ACHIEVEEVALUTE') 
 CREATE TABLE T_TK_ACHIEVEEVALUTE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSSCID BIGINT DEFAULT 0 NOT NULL,
FASSESSPLANID BIGINT DEFAULT 0 NOT NULL,
FASSESSDIMENSION CHAR(1) DEFAULT ' ' NOT NULL,
FASSESSUSERID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FASSESSGROUPID BIGINT DEFAULT 0 NOT NULL,
FASSESSROLEID BIGINT DEFAULT 0 NOT NULL,
FNEXTAUDITOR BIGINT DEFAULT 0 NOT NULL,
FAPPLICANT BIGINT DEFAULT 0 NOT NULL,
FASSESSPERIOD CHAR(1) DEFAULT ' ' NOT NULL,
FASSESSNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPERIODSTART DATETIME,
FPERIODEND DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_ACHIEVEEVALUTE_L') 
 CREATE TABLE T_TK_ACHIEVEEVALUTE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_EVA_PROCESSOPERATION') 
 CREATE TABLE T_TK_EVA_PROCESSOPERATION (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPOACHIEVEID BIGINT DEFAULT 0 NOT NULL,
FPOTARGETTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FPOUNITID BIGINT DEFAULT 0 NOT NULL,
FPOSTANDARD DECIMAL(19,6) DEFAULT 0 NOT NULL,
FPOTARGET DECIMAL(19,6) DEFAULT 0 NOT NULL,
FPOWEIGHT INT DEFAULT 0 NOT NULL,
FPOACTUAL DECIMAL(19,6) DEFAULT 0 NOT NULL,
FPOAPPROVED DECIMAL(19,6) DEFAULT 0 NOT NULL,
FPOSCORE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPODESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_EVA_CUSTOMERPLEASED') 
 CREATE TABLE T_TK_EVA_CUSTOMERPLEASED (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCPACHIEVEID BIGINT DEFAULT 0 NOT NULL,
FCPTARGETTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FCPUNITID BIGINT DEFAULT 0 NOT NULL,
FCPSTANDARD DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCPTARGET DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCPWEIGHT INT DEFAULT 0 NOT NULL,
FCPACTUAL DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCPAPPROVED DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCPSCORE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCPDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_EVA_LEARNGROWTH') 
 CREATE TABLE T_TK_EVA_LEARNGROWTH (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FLRACHIEVEID BIGINT DEFAULT 0 NOT NULL,
FLRTARGETTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FLRUNITID BIGINT DEFAULT 0 NOT NULL,
FLRSTANDARD DECIMAL(19,6) DEFAULT 0 NOT NULL,
FLRTARGET DECIMAL(19,6) DEFAULT 0 NOT NULL,
FLRWEIGHT INT DEFAULT 0 NOT NULL,
FLRACTUAL DECIMAL(19,6) DEFAULT 0 NOT NULL,
FLRAPPROVED DECIMAL(19,6) DEFAULT 0 NOT NULL,
FLRSCORE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLRDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_EVA_COSTCONTROL') 
 CREATE TABLE T_TK_EVA_COSTCONTROL (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCCACHIEVEID BIGINT DEFAULT 0 NOT NULL,
FCCTARGETTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FCCUNITID BIGINT DEFAULT 0 NOT NULL,
FCCSTANDARD DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCCTARGET DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCCWEIGHT INT DEFAULT 0 NOT NULL,
FCCACTUAL DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCCAPPROVED DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCCSCORE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCCDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End D:\绩效管理\PDM_UPGRADE\PDM_UPGRADE\pdm1\SSC_table.sql **/
