﻿/**Begin D:\my-Kingdee\DBA\PDM_UPGRADE\pdm1\SSC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_BILLMANGERCLASSIFY') 
 CREATE TABLE T_TK_BILLMANGERCLASSIFY (
FID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLEVEL INT DEFAULT 0 NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FCOMMENT VARCHAR(255) DEFAULT ' ' NOT NULL,
FISLEAF CHAR(1) DEFAULT ' ' NOT NULL,
FLONGNUMBER VARCHAR(255) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_BILLMANGERCLASSIFY_L') 
 CREATE TABLE T_TK_BILLMANGERCLASSIFY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_FIELD_SUBENTRY') 
 CREATE TABLE T_TK_FIELD_SUBENTRY (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFIELDNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FFIELDNAME NVARCHAR(60) DEFAULT ' ' NOT NULL,
FFIELDTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FFIELDPROPERTY VARCHAR(500) DEFAULT ' ' NOT NULL,
FFIELDPROPERTYJSON VARCHAR(255) DEFAULT ' ' NOT NULL,
FFIELDPROPERTYJSON_TAG NCLOB,
FISVISIBLE CHAR(1) DEFAULT '1' NOT NULL,
FISMUST CHAR(1) DEFAULT '0' NOT NULL,
FISPRESET CHAR(1) DEFAULT '0' NOT NULL,
FFCHECKMETA CHAR(1) DEFAULT '0' NOT NULL,
FFIELDAPID VARCHAR(15) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_FIELD_SUBENTRY_L') 
 CREATE TABLE T_TK_FIELD_SUBENTRY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FFIELDNAME NVARCHAR(60) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_PANEL_ENTRY') 
 CREATE TABLE T_TK_PANEL_ENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPTYPE CHAR(1) DEFAULT '0' NOT NULL,
FPNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FPNAME NVARCHAR(60) DEFAULT ' ' NOT NULL,
FPISPRESET CHAR(1) DEFAULT '0' NOT NULL,
FPISVISIBLE CHAR(1) DEFAULT '1' NOT NULL,
FPCHECKMETA CHAR(1) DEFAULT '0' NOT NULL,
FPANELID VARCHAR(15) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_SSCBILLMANGER') 
 CREATE TABLE T_TK_SSCBILLMANGER (
FID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(60) DEFAULT ' ' NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FTARGET_DATAS BIGINT DEFAULT 0 NOT NULL,
FTARGETID BIGINT DEFAULT 0 NOT NULL,
FSOURCE_DATAS BIGINT DEFAULT 0 NOT NULL,
FSOURCE_NUMBER VARCHAR(150) DEFAULT ' ' NOT NULL,
FSOURCE_NAME NVARCHAR(150) DEFAULT ' ' NOT NULL,
FSOURCEID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FUSEORG BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(2) DEFAULT '5' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX BIGINT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FENTITYID VARCHAR(15) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_SSCBILLMANGER_L') 
 CREATE TABLE T_TK_SSCBILLMANGER_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(60) DEFAULT ' ' NOT NULL
);



/**End D:\my-Kingdee\DBA\PDM_UPGRADE\pdm1\SSC_table.sql **/
