﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SSC_ASSIGNEE_ENTRY')
 CREATE TABLE T_SSC_ASSIGNEE_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTASKTYPE BIGINT DEFAULT 0 NOT NULL,
FTASKBILL BIGINT DEFAULT 0 NOT NULL,
FFILTER NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FCONDITION NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FSELTASKUSER VARCHAR(255) DEFAULT ' ' NOT NULL,
FSELTASKUSER_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SSC_MON_AUTHORIZE')
 CREATE TABLE T_SSC_MON_AUTHORIZE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FINTASKTYPE CHAR(1) DEFAULT '0' NOT NULL,
FINTASKBILL CHAR(1) DEFAULT '0' NOT NULL,
FSSC BIGINT DEFAULT 0 NOT NULL,
FSCENARIODEF BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SSC_MON_AUTHORIZE_L')
 CREATE TABLE T_SSC_MON_AUTHORIZE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SSC_SCENARIO_DEF')
 CREATE TABLE T_SSC_SCENARIO_DEF (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(2) DEFAULT '7' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX BIGINT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
FPRESET CHAR(1) DEFAULT '0' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT '0' NOT NULL,
FEXCEPTIONINFO NVARCHAR(255) DEFAULT '0' NOT NULL,
FSOLUTION BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SSC_SCENARIO_DEF_L')
 CREATE TABLE T_SSC_SCENARIO_DEF_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FEXCEPTIONINFO NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SSC_SCENARIO_TYPE')
 CREATE TABLE T_SSC_SCENARIO_TYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FPRESET CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SSC_SCENARIO_TYPE_L')
 CREATE TABLE T_SSC_SCENARIO_TYPE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SSC_SOLUTION')
 CREATE TABLE T_SSC_SOLUTION (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSOLUTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FSOLUTION_TAG NCLOB,
FHYPERLINKURL VARCHAR(1000) DEFAULT ' ' NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SSC_SOLUTION_L')
 CREATE TABLE T_SSC_SOLUTION_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_EXCEP_RECORD')
 CREATE TABLE T_TK_EXCEP_RECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FEXCEP_BILLNO VARCHAR(255) DEFAULT ' ' NOT NULL,
FSCENARIO BIGINT DEFAULT 0 NOT NULL,
FEXCEPFIRSTTIME DATETIME,
FEXCEPLATESTTIME DATETIME,
FFINALHANDLER BIGINT DEFAULT 0 NOT NULL,
FINALHANDLTIME DATETIME,
FTASK BIGINT DEFAULT 0 NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'A' NOT NULL,
FTASKBILL BIGINT DEFAULT 0 NOT NULL,
FTASKTYPE BIGINT DEFAULT 0 NOT NULL,
FEXCEP_BILLID BIGINT DEFAULT 0 NOT NULL,
FSSC BIGINT DEFAULT 0 NOT NULL,
FRETRYPARAM VARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_EXCEP_RECORD_L')
 CREATE TABLE T_TK_EXCEP_RECORD_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FEXCEPINFO NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_HANDLE_RECORD')
 CREATE TABLE T_TK_HANDLE_RECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FHANDLINGTIME DATETIME,
FHANDLINGRESULT VARCHAR(2) DEFAULT '0' NOT NULL,
FHANDLER BIGINT DEFAULT 0 NOT NULL,
FTRACEID_H VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_MONITOR_RECORD')
 CREATE TABLE T_TK_MONITOR_RECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMONITORTIME DATETIME,
FEXECUTEMETHOD VARCHAR(2) DEFAULT ' ' NOT NULL,
FEXECUTOR BIGINT DEFAULT 0 NOT NULL,
FLOGDETAIL NCLOB,
FTRACEID VARCHAR(50) DEFAULT ' ' NOT NULL,
FIP VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SSC_SCENARIO_ASSIGNEE')
 CREATE TABLE T_SSC_SCENARIO_ASSIGNEE (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);

EXEC P_ALTERPK 'PK_SSC_ASSIGNEE_ENTRY', 'T_SSC_ASSIGNEE_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SSC_ASSIGNEE_ENTRY_FK') CREATE INDEX IDX_SSC_ASSIGNEE_ENTRY_FK ON T_SSC_ASSIGNEE_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_SSC_MON_AUTHORIZE', 'T_SSC_MON_AUTHORIZE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SSC_MON_AUTH_1') CREATE INDEX IDX_SSC_MON_AUTH_1 ON T_SSC_MON_AUTHORIZE ( FSSC ,FSCENARIODEF );


 EXEC P_ALTERPK 'PK_SSC_MON_AUTHORIZE_L', 'T_SSC_MON_AUTHORIZE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SSC_MON_AUTHORIZE_L_0') CREATE INDEX IDX_SSC_MON_AUTHORIZE_L_0 ON T_SSC_MON_AUTHORIZE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SSC_SCENARIO_DEF', 'T_SSC_SCENARIO_DEF', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_SSC_DEF_CREATEORG') CREATE INDEX IDX_T_SSC_DEF_CREATEORG ON T_SSC_SCENARIO_DEF ( FCREATEORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_SSC_DEF_MASTER') CREATE INDEX IDX_T_SSC_DEF_MASTER ON T_SSC_SCENARIO_DEF ( FMASTERID );


 EXEC P_ALTERPK 'PK_SSC_SCENARIO_DEF_L', 'T_SSC_SCENARIO_DEF_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SSC_SCENARIO_DEF_L_0') CREATE INDEX IDX_SSC_SCENARIO_DEF_L_0 ON T_SSC_SCENARIO_DEF_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SSC_SCENARIO_TYPE', 'T_SSC_SCENARIO_TYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SSC_SCEN_TYPE_PRESET') CREATE INDEX IDX_SSC_SCEN_TYPE_PRESET ON T_SSC_SCENARIO_TYPE ( FPRESET );


 EXEC P_ALTERPK 'PK_SSC_SCENARIO_TYPE_L', 'T_SSC_SCENARIO_TYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SSC_SCENARIO_TYPE_L_0') CREATE INDEX IDX_SSC_SCENARIO_TYPE_L_0 ON T_SSC_SCENARIO_TYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_SSC_SOLUTION', 'T_SSC_SOLUTION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SSC_SOLUTION_CREATEORG') CREATE INDEX IDX_SSC_SOLUTION_CREATEORG ON T_SSC_SOLUTION ( FCREATEORGID );


 EXEC P_ALTERPK 'PK_SSC_SOLUTION_L', 'T_SSC_SOLUTION_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SSC_SOLUTION_L_0') CREATE INDEX IDX_SSC_SOLUTION_L_0 ON T_SSC_SOLUTION_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_TK_EXCEP_RECORD', 'T_TK_EXCEP_RECORD', 'FID', '1';


 EXEC P_ALTERPK 'PK_TK_EXCEP_RECORD_L', 'T_TK_EXCEP_RECORD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TK_EXCEP_RECORD_L_0') CREATE INDEX IDX_TK_EXCEP_RECORD_L_0 ON T_TK_EXCEP_RECORD_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_TK_HANDLE_RECORD', 'T_TK_HANDLE_RECORD', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TK_HANDLE_RECORD_FK') CREATE INDEX IDX_TK_HANDLE_RECORD_FK ON T_TK_HANDLE_RECORD ( FID );


 EXEC P_ALTERPK 'PK_TK_MONITOR_RECORD', 'T_TK_MONITOR_RECORD', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TK_MONITOR_RECORD_FK') CREATE INDEX IDX_TK_MONITOR_RECORD_FK ON T_TK_MONITOR_RECORD ( FID );


 EXEC P_ALTERPK 'PK_SSC_SCENARIO_ASSIGNEE', 'T_SSC_SCENARIO_ASSIGNEE', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SSC_ASSIGNEE_FK') CREATE INDEX IDX_SSC_ASSIGNEE_FK ON T_SSC_SCENARIO_ASSIGNEE ( FENTRYID );

