/**Begin D:\my-Kingdee\DBA\PDM_UPGRADE\pdm1\SSC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TK_TASK_Q' AND KSQL_COL_NAME IN ('FMATCHRULE'))
ALTER TABLE T_TK_TASK_Q ADD (FMATCHRULE BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TK_TASKHISTORY_Q' AND KSQL_COL_NAME IN ('FMATCHRULE'))
ALTER TABLE T_TK_TASKHISTORY_Q ADD (FMATCHRULE BIGINT DEFAULT 0 NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_DISDETAIL')
CREATE TABLE T_TK_DISDETAIL (
                                FID BIGINT DEFAULT 0 NOT NULL,
                                FBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
                                FBILLSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
                                FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                FAUDITORID BIGINT DEFAULT 0 NOT NULL,
                                FAUDITDATE DATETIME,
                                FMODIFYTIME DATETIME,
                                FCREATETIME DATETIME DEFAULT GETDATE() NOT NULL,
                                FSUCCESS CHAR(1) DEFAULT '0' NOT NULL,
                                FTASKID BIGINT DEFAULT 0 NOT NULL,
                                FMATCHRULEID BIGINT DEFAULT 0 NOT NULL,
                                FUSERGROUPID BIGINT DEFAULT 0 NOT NULL,
                                FDISTYPE VARCHAR(10) DEFAULT '0' NOT NULL,
                                FMESSAGE VARCHAR(100) DEFAULT ' ' NOT NULL,
                                FDETAIL VARCHAR(255) DEFAULT ' ' NOT NULL,
                                FDETAIL_TAG NCLOB,
                                FUSERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_MATCHRULEPLUGIN')
CREATE TABLE T_TK_MATCHRULEPLUGIN (
                                      FID BIGINT DEFAULT 0 NOT NULL,
                                      FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
                                      FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
                                      FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
                                      FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                      FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                      FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
                                      FCREATETIME DATETIME DEFAULT GETDATE() NOT NULL,
                                      FMODIFYTIME DATETIME,
                                      FMASTERID BIGINT DEFAULT 0 NOT NULL,
                                      FPLUGINSEQ INT DEFAULT 1 NOT NULL,
                                      FATTRIBUTE VARCHAR(20) DEFAULT ',0,' NOT NULL,
                                      FPLUGINTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
                                      FMARK VARCHAR(200) DEFAULT ' ' NOT NULL,
                                      FPLUGINPATH VARCHAR(200) DEFAULT ' ' NOT NULL,
                                      FSSC BIGINT DEFAULT 0 NOT NULL,
                                      FPREPLUGIN CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_MATCHRULEPLUGIN_L')
CREATE TABLE T_TK_MATCHRULEPLUGIN_L (
                                        FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
                                        FID BIGINT DEFAULT 0 NOT NULL,
                                        FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                        FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End D:\my-Kingdee\DBA\PDM_UPGRADE\pdm1\SSC_table.sql **/
