﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SSC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TK_TASKMAINBILL' AND KSQL_COL_NAME ='FISPARTASK') 
 ALTER TABLE T_TK_TASKMAINBILL ADD (FISPARTASK CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_PARTASKCURNODE') 
 CREATE TABLE T_TK_PARTASKCURNODE (
FID BIGINT DEFAULT 0 NOT NULL,
FINSTID BIGINT DEFAULT 0 NOT NULL,
FCURTASKID BIGINT DEFAULT 0 NOT NULL,
FCURNODEDEFID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS INT DEFAULT 0 NOT NULL,
FNEXTNODEDEFID NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_PARTASKFLOWDEF_L') 
 CREATE TABLE T_TK_PARTASKFLOWDEF_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(36) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_PARTASKINST') 
 CREATE TABLE T_TK_PARTASKINST (
FID BIGINT DEFAULT 0 NOT NULL,
FSUBJECT NVARCHAR(128) DEFAULT ' ' NOT NULL,
FFLOWCODE BIGINT DEFAULT 0 NOT NULL,
FSSCID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPE BIGINT DEFAULT 0 NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FPTSTARTTIME DATETIME,
FPTENDTIME DATETIME,
FPTRETAIN NVARCHAR(64) DEFAULT ' ' NOT NULL,
FPTSTATUS INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_PARTASKINSTNODE') 
 CREATE TABLE T_TK_PARTASKINSTNODE (
FID BIGINT DEFAULT 0 NOT NULL,
FINSTANTID BIGINT DEFAULT 0 NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FTYPE BIGINT DEFAULT 0 NOT NULL,
FPARENTTYPE BIGINT DEFAULT 0 NOT NULL,
FPARENTTASKID BIGINT DEFAULT 0 NOT NULL,
FSTATE INT DEFAULT 0 NOT NULL,
FNODEDEFID NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_PARTTASKDEFINFO') 
 CREATE TABLE T_TK_PARTTASKDEFINFO (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPTSOURCENODE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPTSOURCETYPE BIGINT DEFAULT 0 NOT NULL,
FPTTARGETNODE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPTTARGETTYPE BIGINT DEFAULT 0 NOT NULL,
FPTGROUP NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_PARTASKFLOWDEF') 
 CREATE TABLE T_TK_PARTASKFLOWDEF (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(64) DEFAULT ' ' NOT NULL,
FBILLTYPE BIGINT DEFAULT 0 NOT NULL,
FSSCID BIGINT DEFAULT 0 NOT NULL,
FCATAGORY NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FRESOURCE NCLOB,
FVERSION INT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FISPUBLISHED INT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCTRLSTRATEGY CHAR(1) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SSC_table.sql **/
