﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SSC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TK_TALLYAPPLYBILL' AND KSQL_COL_NAME IN ('FIMAGENUMBER')) 
 ALTER TABLE T_TK_TALLYAPPLYBILL ADD (FIMAGENUMBER NVARCHAR(60) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TK_PARAMCONTROL' AND KSQL_COL_NAME IN ('FNUMBER')) 
 ALTER TABLE T_TK_PARAMCONTROL ADD (FNUMBER VARCHAR(1000) DEFAULT ' ' NOT NULL );
 EXEC p_AlterColumn 'T_TK_AVGDAILY', 'FUSER', 'BIGINT', 'NOT NULL', '0010', '0';

 EXEC p_AlterColumn 'T_TK_AVGDAILY', 'FNORMALNUM', 'INT', 'NOT NULL', '0010', '0';

 EXEC p_AlterColumn 'T_TK_AVGDAILY', 'FEXPIRENUM', 'INT', 'NOT NULL', '0010', '0';

 EXEC p_AlterColumn 'T_TK_AVGDAILY', 'FDATE', 'DATETIME', 'NULL', '1111', 'NULL';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TK_AVGDAILY' AND KSQL_COL_NAME IN ('FISQUALITY')) 
 ALTER TABLE T_TK_AVGDAILY ADD (FISQUALITY CHAR(1) DEFAULT ' ' NOT NULL );
 EXEC p_AlterColumn 'T_TK_RECORDEXCEPT', 'FBUSINESSVOUCHER', 'VARCHAR(50)', 'NOT NULL', '0010', ''' ''';

 EXEC p_AlterColumn 'T_TK_RECORDEXCEPT', 'FDURATION', 'INT', 'NOT NULL', '0001', '0';

 EXEC p_AlterColumn 'T_TK_RECORDEXCEPT', 'FRETRYTIME', 'INT', 'NOT NULL', '0001', '0';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_TKPROCHARTSTATISTIC') 
 CREATE TABLE T_TK_TKPROCHARTSTATISTIC (
FID BIGINT DEFAULT 0 NOT NULL,
FSSCID BIGINT DEFAULT 0 NOT NULL,
FTASKTYPEID BIGINT DEFAULT 0 NOT NULL,
FDATETYPE INT DEFAULT 0 NOT NULL,
FPOOLTYPE INT DEFAULT 0 NOT NULL,
FSTATDATERANGE INT DEFAULT 0 NOT NULL,
FCOUNT INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_TKPROSTATISTIC') 
 CREATE TABLE T_TK_TKPROSTATISTIC (
FID BIGINT DEFAULT 0 NOT NULL,
FSSCID BIGINT DEFAULT 0 NOT NULL,
FTASKTYPEID BIGINT DEFAULT 0 NOT NULL,
FDATETYPE INT DEFAULT 0 NOT NULL,
FPOOLTYPE INT DEFAULT 0 NOT NULL,
FCOUNT INT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL
);


 EXEC p_AlterColumn 'T_TK_COUNTTASK', 'FCOUNTTIME', 'DATETIME', 'NULL', '1111', 'NULL';

 EXEC p_AlterColumn 'T_TK_COUNTTASK', 'FCREATETIME', 'DATETIME', 'NULL', '1111', 'NULL';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TK_COUNTTASK' AND KSQL_COL_NAME IN ('FPROCESSRANKCOEFFICIENT')) 
 ALTER TABLE T_TK_COUNTTASK ADD (FPROCESSRANKCOEFFICIENT DECIMAL(19,6) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TK_COUNTTASK' AND KSQL_COL_NAME IN ('FDATERANGE')) 
 ALTER TABLE T_TK_COUNTTASK ADD (FDATERANGE INT DEFAULT 0 NOT NULL );
 --- drop column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_TK_COUNTTASK', 'FPROCESSINGRANKCOEFFICIENT', 'NULL', 'NULL', '1001', 'NULL';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_QUALITYSTATISTICS') 
 CREATE TABLE T_TK_QUALITYSTATISTICS (
FID BIGINT DEFAULT 0 NOT NULL,
FDATERANGE INT DEFAULT 0 NOT NULL,
FSSC BIGINT DEFAULT 0 NOT NULL,
FTASKTYPE BIGINT DEFAULT 0 NOT NULL,
FORG BIGINT DEFAULT 0 NOT NULL,
FBILLTYPE BIGINT DEFAULT 0 NOT NULL,
FPERSON BIGINT DEFAULT 0 NOT NULL,
FTASKCOUNT INT DEFAULT 0 NOT NULL,
FUNPASSCOUNT INT DEFAULT 0 NOT NULL,
FRETURNCOUNT INT DEFAULT 0 NOT NULL,
FPENDINGCOUNT INT DEFAULT 0 NOT NULL,
FEXCEPTIONCOUNT INT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_INVOICEVARIETYMAP') 
 CREATE TABLE T_TK_INVOICEVARIETYMAP (
FID BIGINT DEFAULT 0 NOT NULL,
FSOURCEINVOICESYSTEM INT DEFAULT 0 NOT NULL,
FSOURCEINVOICEVARIETYCODE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTARGETINVOICEVARIETYCODE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FINVOICETYPENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SSC_table.sql **/
