﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SSC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_CREDITBOARD_DETAIL_L') 
 CREATE TABLE T_TK_CREDITBOARD_DETAIL_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FBIZTYPENAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_CREDITBOARDAVGSCORE') 
 CREATE TABLE T_TK_CREDITBOARDAVGSCORE (
FID BIGINT DEFAULT 0 NOT NULL,
FSSCID BIGINT DEFAULT 0 NOT NULL,
FCOMPANY BIGINT DEFAULT 0 NOT NULL,
FAVGSCORE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_CREDITBOARDCONFIG_L') 
 CREATE TABLE T_TK_CREDITBOARDCONFIG_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_CREDITBOARDDATA') 
 CREATE TABLE T_TK_CREDITBOARDDATA (
FID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSSCID BIGINT DEFAULT 0 NOT NULL,
FTASKCOMPLETEDNUM INT DEFAULT 0 NOT NULL,
FTASKSUBSCORENUM INT DEFAULT 0 NOT NULL,
FTASKSUBSCOREDETAIL INT DEFAULT 0 NOT NULL,
FBIZDATE INT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_CREDITBOARD_DETAIL') 
 CREATE TABLE T_TK_CREDITBOARD_DETAIL (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FUSER BIGINT DEFAULT 0 NOT NULL,
FCOMPANY BIGINT DEFAULT 0 NOT NULL,
FSUBSCORE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSUBSCORETYPE CHAR(1) DEFAULT '0' NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FBIZBILL VARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FBILLBIZTYPEID VARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZTYPEENTITY VARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZSYS BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_CREDITBOARDCONFIG') 
 CREATE TABLE T_TK_CREDITBOARDCONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255),
FORGID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(10) DEFAULT ' ' NOT NULL,
FBILLTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FFIELDNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FFIELDENTITYNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FFIELDNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SSC_table.sql **/
