﻿/**Begin C:\Users\rd_xiang_qiu\Desktop\svn-brower\PDM规范\PDM_UPGRADE\pdm1\SSC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_SCS_APICALLED') 
 CREATE TABLE T_TK_SCS_APICALLED (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(4) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FAUDITDATE DATETIME,
FMETHOD VARCHAR(255) DEFAULT ' ' NOT NULL,
FPARAMETER VARCHAR(255) DEFAULT ' ' NOT NULL,
FPARAMETER_TAG NCLOB,
FRESULT VARCHAR(255) DEFAULT ' ' NOT NULL,
FRESULT_TAG NCLOB,
FSUCCESS CHAR(1) DEFAULT '0' NOT NULL,
FOPERATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTRACEID VARCHAR(50) DEFAULT ' ' NOT NULL,
FPRIVATEINPUT VARCHAR(255) DEFAULT ' ' NOT NULL,
FPRIVATEINPUT_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_SCS_AREA_L') 
 CREATE TABLE T_TK_SCS_AREA_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_SCS_AREAROLE') 
 CREATE TABLE T_TK_SCS_AREAROLE (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_SCS_AREASSC') 
 CREATE TABLE T_TK_SCS_AREASSC (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_SCS_AREA') 
 CREATE TABLE T_TK_SCS_AREA (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(4) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(10) DEFAULT ' ' NOT NULL,
FAIAREAID BIGINT DEFAULT 0 NOT NULL,
FAIQAID BIGINT DEFAULT 0 NOT NULL,
FDATASOURCE VARCHAR(4) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_SCS_ATTACH') 
 CREATE TABLE T_TK_SCS_ATTACH (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_SCS_DETAIL_L') 
 CREATE TABLE T_TK_SCS_DETAIL_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FKEYWORD NVARCHAR(20) DEFAULT ' ' NOT NULL,
FANSWER NVARCHAR(900) DEFAULT ' ' NOT NULL,
FLINKTITLE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FQUESTION NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_SCS_DETAIL') 
 CREATE TABLE T_TK_SCS_DETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(4) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FREBORTUSE CHAR(1) DEFAULT '0' NOT NULL,
FSUBJECT CHAR(1) DEFAULT '0' NOT NULL,
FAREA BIGINT DEFAULT 0 NOT NULL,
FSUBJECTNUM VARCHAR(50) DEFAULT ' ' NOT NULL,
FLINK NVARCHAR(300) DEFAULT ' ' NOT NULL,
FAISUBJECTID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_SCS_EXCPTION') 
 CREATE TABLE T_TK_SCS_EXCPTION (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(4) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FERRORSTATE VARCHAR(30) DEFAULT ' ' NOT NULL,
FERRORSTACK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FERRORSTACK_TAG NCLOB,
FENTITYNUM VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_SCS_GLOBAL') 
 CREATE TABLE T_TK_SCS_GLOBAL (
FID BIGINT DEFAULT 0 NOT NULL,
FROBOTID BIGINT DEFAULT 0 NOT NULL,
FSKILLID BIGINT DEFAULT 0 NOT NULL,
FTENANTID BIGINT DEFAULT 0 NOT NULL,
FQXTENANTID NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_SCS_LEADWORD_L') 
 CREATE TABLE T_TK_SCS_LEADWORD_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_SCS_LEADWORD') 
 CREATE TABLE T_TK_SCS_LEADWORD (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(4) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_SCS_LWENTRY_L') 
 CREATE TABLE T_TK_SCS_LWENTRY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FLEADNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_SCS_LWENTRY') 
 CREATE TABLE T_TK_SCS_LWENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FLEADNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_SCS_SIMQUES_L') 
 CREATE TABLE T_TK_SCS_SIMQUES_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FSIMILARQUES NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_SCS_SIMQUES') 
 CREATE TABLE T_TK_SCS_SIMQUES (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL
);



/**End C:\Users\rd_xiang_qiu\Desktop\svn-brower\PDM规范\PDM_UPGRADE\pdm1\SSC_table.sql **/
