﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SSC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_SLA_SBSTERIDETAILS') 
 CREATE TABLE T_TK_SLA_SBSTERIDETAILS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSDBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FSDAPPLYDATE DATETIME,
FSDSERPRIOD BIGINT DEFAULT 0 NOT NULL,
FSDREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSDAMOUNTLEFT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSDTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSDSTERITAXAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSDSTERIAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSDTAXAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSDSOURCEBILLID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_SLA_SERBILL') 
 CREATE TABLE T_TK_SLA_SERBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTALLYORG BIGINT DEFAULT 0 NOT NULL,
FAPPLYDATE DATETIME,
FCUSTOMER BIGINT DEFAULT 0 NOT NULL,
FCONTRACTNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLTYPE BIGINT DEFAULT 0 NOT NULL,
FSERVICEPRIOD BIGINT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPAYMENT BIGINT DEFAULT 0 NOT NULL,
FBASECURRENCY BIGINT DEFAULT 0 NOT NULL,
FCURRENCY BIGINT DEFAULT 0 NOT NULL,
FEXRATETABLE BIGINT DEFAULT 0 NOT NULL,
FEXRATEDATE DATETIME,
FEXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATE BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNTSTD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBILLAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBILLAMTSTD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBILLRECAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBILLRECAMTSTD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVEDAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTERIABLEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTERIABLEFREAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTERIABLEOCCAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECFREAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECOCCAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVFREAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVOCCAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISPERIOD CHAR(1) DEFAULT ' ' NOT NULL,
FIMAGENUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNEXTAUDITOR NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_SLA_SERBILL_L') 
 CREATE TABLE T_TK_SLA_SERBILL_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_SLA_SERCONTRACT') 
 CREATE TABLE T_TK_SLA_SERCONTRACT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FSIGNINGDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCUSTOMER BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FCONTRACTDETAILS BIGINT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBASECURRENCY BIGINT DEFAULT 0 NOT NULL,
FCURRENCY BIGINT DEFAULT 0 NOT NULL,
FEXRATETABLE BIGINT DEFAULT 0 NOT NULL,
FTAXRATE BIGINT DEFAULT 0 NOT NULL,
FBILLAMTSUM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBILLAMTSUMSTD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXSUM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBILLAMTRECSUM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBILLAMTINVSUM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISPERIOD CHAR(1) DEFAULT ' ' NOT NULL,
FTALLYORG BIGINT DEFAULT 0 NOT NULL,
FIMAGENUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNEXTAUDITOR NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_SLA_SERCONTRACT_L') 
 CREATE TABLE T_TK_SLA_SERCONTRACT_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_SLAINIT') 
 CREATE TABLE T_TK_SLAINIT (
FID BIGINT DEFAULT 0 NOT NULL,
FSSCID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTINGORG BIGINT DEFAULT 0 NOT NULL,
FSTACURRENCYID BIGINT DEFAULT 0 NOT NULL,
FEXRATETABLEID BIGINT DEFAULT 0 NOT NULL,
FINITDATE DATETIME,
FISFINISHINIT CHAR(4) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FAUDITDATE DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(20) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(4) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_SLA_SBBILLDETAILS') 
 CREATE TABLE T_TK_SLA_SBBILLDETAILS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSERVICECLASSIFY BIGINT DEFAULT 0 NOT NULL,
FBDSERVICEPRIOD BIGINT DEFAULT 0 NOT NULL,
FBDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBDAMOUNTSTD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVOUCHAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVOUCHAMTSTD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNIT BIGINT DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTY BIGINT DEFAULT 0 NOT NULL,
FFIXEDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSERVICELEVEL BIGINT DEFAULT 0 NOT NULL,
FDEDUCAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEDUCAMTSTD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEDUREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNTSTD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVOUCHNOTAXAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVOUCHNOTAXAMTSTD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBDREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBILLING VARCHAR(10) DEFAULT ' ' NOT NULL,
FSERVICEPROJECT BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_SLA_SCDETAILS') 
 CREATE TABLE T_TK_SLA_SCDETAILS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSERVICECLASSIFY BIGINT DEFAULT 0 NOT NULL,
FFIXEDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNORFIXEDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCDREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FUNIT BIGINT DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNORPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSERVICESTANDARD BIGINT DEFAULT 0 NOT NULL,
FSOURCEENTRYID BIGINT DEFAULT 0 NOT NULL,
FSETTLEMENTPERIOD VARCHAR(10) DEFAULT ' ' NOT NULL,
FBILLING VARCHAR(10) DEFAULT ' ' NOT NULL,
FSERVICEPROJECT BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TK_SLA_CDENTRY' AND KSQL_COL_NAME ='FNORPRICE') 
 ALTER TABLE T_TK_SLA_CDENTRY ADD (FNORPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TK_SLA_CDENTRY' AND KSQL_COL_NAME ='FNORFIXEDAMOUNT') 
 ALTER TABLE T_TK_SLA_CDENTRY ADD (FNORFIXEDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TK_SLA_CDENTRY' AND KSQL_COL_NAME ='FSERVICEPROJECT') 
 ALTER TABLE T_TK_SLA_CDENTRY ADD (FSERVICEPROJECT BIGINT DEFAULT 0 NOT NULL );
 --- drop TABLE --------- 不允许删除表T_TK_SLA_CDENTRYPRO，请恢复pdm ------------------- 

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SSC_table.sql **/
