-- 1、预置场景类型
DELETE FROM t_ssc_scenario_type WHERE fid=3;
INSERT INTO t_ssc_scenario_type
(fid, fnumber, fname, fstatus, fcreatorid, fmodifierid, fenable, fcreatetime, fmodifytime, fmasterid, fpreset)
VALUES(3, 'SYS_SCENARIO_TYPE_3', '删除任务异常', 'C', 0, 0, '1', {ts'2023-08-08  10:00:00'}, {ts'2023-08-08  10:00:00'}, 3, '1');
DELETE FROM t_ssc_scenario_type_l WHERE fpkid='3GKXVS4TKX2A';
DELETE FROM t_ssc_scenario_type_l WHERE fpkid='3GKXVS4TKX2B';
INSERT INTO t_ssc_scenario_type_l
(fpkid, fid, flocaleid, fname)
VALUES('3GKXVS4TKX2A', 3, 'zh_CN', '删除任务异常');
INSERT INTO t_ssc_scenario_type_l
(fpkid, fid, flocaleid, fname)
VALUES('3GKXVS4TKX2B', 3, 'zh_TW', '刪除任務異常');

-- 2、预置场景定义
DELETE FROM t_ssc_scenario_def WHERE fid=5;
DELETE FROM t_ssc_scenario_def WHERE fid=6;
DELETE FROM t_ssc_scenario_def WHERE fid=7;
INSERT INTO t_ssc_scenario_def
(fid, fnumber, fname, fstatus, fcreatorid, fmodifierid, fenable, fcreatetime, fmodifytime, fmasterid, fgroupid, forgid, fcreateorgid, fctrlstrategy, fsourcedataid, fbitindex, fsourcebitindex, fpreset, fdescription, fexceptioninfo, fsolution)
VALUES(5, 'SYS_SCENARIO_5', '同步审批记录失败', 'C', 0, 0, '1', {ts'2023-08-08  10:00:00'}, {ts'2023-08-08  10:00:00'}, 5, 3, 0, 0, '5', 0, 0, 0, '1', '删除任务更新工作流审批记录失败，任务已删除。', '该任务在执行手工删除或流程终止自动删除时，更新工作流审批记录失败。', 5);
INSERT INTO t_ssc_scenario_def
(fid, fnumber, fname, fstatus, fcreatorid, fmodifierid, fenable, fcreatetime, fmodifytime, fmasterid, fgroupid, forgid, fcreateorgid, fctrlstrategy, fsourcedataid, fbitindex, fsourcebitindex, fpreset, fdescription, fexceptioninfo, fsolution)
VALUES(6, 'SYS_SCENARIO_6', '删除任务失败', 'C', 0, 0, '1', {ts'2023-08-08  10:00:00'}, {ts'2023-08-08  10:00:00'}, 6, 3, 0, 0, '5', 0, 0, 0, '1', '流程终止时删除任务失败。', '该任务在执行流程终止自动删除时，删除失败。', 6);
INSERT INTO t_ssc_scenario_def
(fid, fnumber, fname, fstatus, fcreatorid, fmodifierid, fenable, fcreatetime, fmodifytime, fmasterid, fgroupid, forgid, fcreateorgid, fctrlstrategy, fsourcedataid, fbitindex, fsourcebitindex, fpreset, fdescription, fexceptioninfo, fsolution)
VALUES(7, 'SYS_SCENARIO_7', '删除凭证失败', 'C', 0, 0, '1', {ts'2023-08-08  10:00:00'}, {ts'2023-08-08  10:00:00'}, 7, 3, 0, 0, '5', 0, 0, 0, '1', '流程终止时删除任务前，删除该任务已生成的凭证失败，任务删除失败。', '该任务在执行流程终止自动删除时，存在已生成的凭证，删除凭证失败。', 7);
DELETE FROM t_ssc_scenario_def_l WHERE fpkid='3H4GFLJU9ZO9';
DELETE FROM t_ssc_scenario_def_l WHERE fpkid='3H4GFLJU9ZO=';
DELETE FROM t_ssc_scenario_def_l WHERE fpkid='3H4GITUKE49/';
DELETE FROM t_ssc_scenario_def_l WHERE fpkid='3H4GITUKE490';
DELETE FROM t_ssc_scenario_def_l WHERE fpkid='3H4GMSKDTNX5';
DELETE FROM t_ssc_scenario_def_l WHERE fpkid='3H4GMSKDTNX6';
INSERT INTO t_ssc_scenario_def_l
(fpkid, fid, flocaleid, fname, fdescription, fexceptioninfo)
VALUES('3H4GFLJU9ZO9', 5, 'zh_CN', '同步审批记录失败', '删除任务更新工作流审批记录失败，任务已删除。', '该任务在执行手工删除或流程终止自动删除时，更新工作流审批记录失败。');
INSERT INTO t_ssc_scenario_def_l
(fpkid, fid, flocaleid, fname, fdescription, fexceptioninfo)
VALUES('3H4GFLJU9ZO=', 5, 'zh_TW', '同步審批記錄失敗', '刪除任務更新工作流審批記錄失敗，任務已刪除。', '該任務在執行手工刪除或流程終止自動刪除時，更新工作流審批記錄失敗。');
INSERT INTO t_ssc_scenario_def_l
(fpkid, fid, flocaleid, fname, fdescription, fexceptioninfo)
VALUES('3H4GITUKE49/', 6, 'zh_CN', '删除任务失败', '流程终止时删除任务失败。', '该任务在执行流程终止自动删除时，删除失败。');
INSERT INTO t_ssc_scenario_def_l
(fpkid, fid, flocaleid, fname, fdescription, fexceptioninfo)
VALUES('3H4GITUKE490', 6, 'zh_TW', '刪除任務失敗', '流程終止時刪除任務失敗。', '該任務在執行流程終止自動刪除時，刪除失敗。');
INSERT INTO t_ssc_scenario_def_l
(fpkid, fid, flocaleid, fname, fdescription, fexceptioninfo)
VALUES('3H4GMSKDTNX5', 7, 'zh_CN', '删除凭证失败', '流程终止时删除任务前，删除该任务已生成的凭证失败，任务删除失败。', '该任务在执行流程终止自动删除时，存在已生成的凭证，删除凭证失败。');
INSERT INTO t_ssc_scenario_def_l
(fpkid, fid, flocaleid, fname, fdescription, fexceptioninfo)
VALUES('3H4GMSKDTNX6', 7, 'zh_TW', '刪除憑證失敗', '流程終止時刪除任務前，刪除該任務已生成的憑證失敗，任務刪除失敗。', '該任務在執行流程終止自動刪除時，存在已生成的憑證，刪除憑證失敗。');

-- 3、预置解决方案
DELETE FROM t_ssc_solution WHERE fid=5;
DELETE FROM t_ssc_solution WHERE fid=6;
DELETE FROM t_ssc_solution WHERE fid=7;
INSERT INTO t_ssc_solution
(fid, fnumber, fname, fstatus, fcreatorid, fmodifierid, fenable, fcreatetime, fmodifytime, fmasterid, fsolution, fsolution_tag, fhyperlinkurl, fcreateorgid)
VALUES(5, 'PRE-0005', '同步审批记录失败解决方案', 'A', 0, 0, '1', {ts'2023-08-08  10:00:00'}, {ts'2023-08-08  10:00:00'}, 5, ' ', '任务已经删除，如对工作流的审批记录有严格的更新要求，需联络管理员或运维人员对审批记录进行手工更新。', ' ', 0);
INSERT INTO t_ssc_solution
(fid, fnumber, fname, fstatus, fcreatorid, fmodifierid, fenable, fcreatetime, fmodifytime, fmasterid, fsolution, fsolution_tag, fhyperlinkurl, fcreateorgid)
VALUES(6, 'PRE-0006', '删除任务失败解决方案', 'A', 0, 0, '1', {ts'2023-08-08  10:00:00'}, {ts'2023-08-08  10:00:00'}, 6, ' ', '<p>对于自动删除失败的任务，需要在任务管理进行手工删除<br />操作路径：【共享任务中心】→【任务管理】→【任务管理】→【更多】→【删除任务】<br />如执行手工删除失败，则根据提示确认失败原因并进行对应处理。', ' ', 0);
INSERT INTO t_ssc_solution
(fid, fnumber, fname, fstatus, fcreatorid, fmodifierid, fenable, fcreatetime, fmodifytime, fmasterid, fsolution, fsolution_tag, fhyperlinkurl, fcreateorgid)
VALUES(7, 'PRE-0007', '凭证删除失败解决方案', 'A', 0, 0, '1', {ts'2023-08-08  10:00:00'}, {ts'2023-08-08  10:00:00'}, 7, ' ', '<p>对于自动删除凭证失败的任务，需要对应的任务处理人，在我的任务中进行手工删除<br />操作路径：【共享任务中心】→【我的任务】→打开任务→【删除凭证】<br />如执行手工删除失败，则根据提示确认失败原因并进行对应处理。</p>', ' ', 0);
DELETE FROM t_ssc_solution_l WHERE fpkid='3H4IE6GHLS58';
DELETE FROM t_ssc_solution_l WHERE fpkid='3H4IE6GHLS59';
DELETE FROM t_ssc_solution_l WHERE fpkid='3H4IGPI6L590';
DELETE FROM t_ssc_solution_l WHERE fpkid='3H4IGPI6L591';
DELETE FROM t_ssc_solution_l WHERE fpkid='3H4IIOXBT8M7';
DELETE FROM t_ssc_solution_l WHERE fpkid='3H4IIOXBT8M8';
INSERT INTO t_ssc_solution_l
(fpkid, fid, flocaleid, fname)
VALUES('3H4IE6GHLS58', 5, 'zh_CN', '同步审批记录失败解决方案');
INSERT INTO t_ssc_solution_l
(fpkid, fid, flocaleid, fname)
VALUES('3H4IE6GHLS59', 5, 'zh_TW', '同步審批記錄失敗解決方案');
INSERT INTO t_ssc_solution_l
(fpkid, fid, flocaleid, fname)
VALUES('3H4IGPI6L590', 6, 'zh_CN', '删除任务失败解决方案');
INSERT INTO t_ssc_solution_l
(fpkid, fid, flocaleid, fname)
VALUES('3H4IGPI6L591', 6, 'zh_TW', '刪除任務失敗解決方案');
INSERT INTO t_ssc_solution_l
(fpkid, fid, flocaleid, fname)
VALUES('3H4IIOXBT8M7', 7, 'zh_CN', '凭证删除失败解决方案');
INSERT INTO t_ssc_solution_l
(fpkid, fid, flocaleid, fname)
VALUES('3H4IIOXBT8M8', 7, 'zh_TW', '憑證刪除失敗解決方案');
