/*信用看板数据统计定时任务*/
DELETE FROM T_SCH_TASKDEFINE WHERE FID='1BB+N41QWX=+';
DELETE FROM T_SCH_TASKDEFINE_L WHERE FPKID='1BB+N41QSOB5';
DELETE FROM T_SCH_TASKDEFINE_L WHERE FPKID='1BB+N41QSOB6';

INSERT INTO T_SCH_TASKDEFINE (FID, FCLASSNAME, FNUMBER, FAPPID)
VALUES('1BB+N41QWX=+', 'kd.ssc.task.business.board.credit.CreditBoardDataCalculateTask', 'ssc_CreditBoardData_SKDJ_S', 'ssc');
INSERT INTO T_SCH_TASKDEFINE_L (FPKID, FID, FLOCALEID, FNAME)
VALUES('1BB+N41QSOB5', '1BB+N41QWX=+', 'zh_CN', '共享-信用看板数据计算任务类');
INSERT INTO T_SCH_TASKDEFINE_L (FPKID, FID, FLOCALEID, FNAME)
VALUES('1BB+N41QSOB6', '1BB+N41QWX=+', 'zh_TW', '共享-信用看板數據計算任務類');

DELETE FROM T_SCH_JOB WHERE FID='1BB=5Z0=BCKP';
DELETE FROM T_SCH_JOB_L WHERE FPKID='1BB=5Z0=84MW';
DELETE FROM T_SCH_JOB_L WHERE FPKID='1BB=5Z0=84MX';

INSERT INTO T_SCH_JOB (FID, FJOBTYPE, FTASKCLASSNAME, FRUNBYUSERID, FNUMBER, FTASKDEFINEID, FSTATUS, FPARAMS, FTIMEOUT, FRUNBYORGID, FRUNBYLANG, FCONCURRENT, FRUNMODE, FSTRATEGY, FRETRYTIME)
VALUES('1BB=5Z0=BCKP', 'BIZ', 'kd.ssc.task.business.credit.CreditBoardDataCalculateTask', 98092302, 'ssc_CreditBoardData_SKDJ_S', '1BB+N41QWX=+', '1', ' ', 0, 0, 'zh_CN', '0', '0', '1', 0);
INSERT INTO T_SCH_JOB_L (FPKID, FID, FLOCALEID, FNAME)
VALUES('1BB=5Z0=84MW', '1BB=5Z0=BCKP', 'zh_CN', '信用看板数据定时计算作业');
INSERT INTO T_SCH_JOB_L (FPKID, FID, FLOCALEID, FNAME)
VALUES('1BB=5Z0=84MX', '1BB=5Z0=BCKP', 'zh_TW', '信用看板數據定時計算作業');

DELETE FROM T_SCH_SCHEDULE WHERE FID='1BBON31HNT0L';
DELETE FROM T_SCH_SCHEDULE_L WHERE FPKID='1BBON31HS0+E';
DELETE FROM T_SCH_SCHEDULE_L WHERE FPKID='1BBON31HS0+F';

INSERT INTO T_SCH_SCHEDULE
(FID, FJOBID, FSTARTTIME, FENDTIME, FPLAN, FNUMBER, FSTATUS, FCYCLENUM, FHOST, FSUN, FSAT, FFRI, FTHUR, FWED, FTUES, FMON, FONE, FTWO, FTHIRTYONE, FTHIRTY, FTWENTYNINE, FTWENTYEIGHT, FTWENTYSEVEN, FTWENTYSIX, FTWENTYFIVE, FTWENTYFOUR, FTWENTYTHREE, FTWENTYTWO, FTWENTYONE, FTWENTY, FNINETEEN, FEIGHTEEN, FSEVENTEEN, FSIXTEEN, FFIFTEEN, FFOURTEEN, FTHIRTEEN, FTWELVE, FELEVEN, FTEN, FNINE, FEIGHT, FSEVEN, FSIX, FFIVE, FFOUR, FTHREE, FNO, FNOWEEK, FJAN, FDEC, FNOV, FOCT, FSEP, FAUG, FJUL, FJUN, FMAY, FAPR, FMAR, FFEB, FBYWEEK, FBYDAYORWEEK, FDESC, FREPEATMODE)
VALUES('1BBON31HNT0L', ' ', {ts'2021-01-01 02:00:00'}, {ts'2060-12-31 02:00:00'}, '0 0/15 7,8,9,10,11,14,15,16,17,18 * * ?', 'ssc_CreditBoardData_SKDP_S', '1', 15, '172.19.109.44', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', ' ', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'd', '事件将于2021-01-01 02:00:00起，
7时,8时,9时,10时,11时,14时,15时,16时,17时,18时每15分钟重复。
预计最近五次执行时间：
2021-01-01 07:00:00,
2021-01-01 07:15:00,
2021-01-01 07:30:00,
2021-01-01 07:45:00,
2021-01-01 08:00:00', 'mi');
INSERT INTO T_SCH_SCHEDULE_L (FPKID, FID, FLOCALEID, FNAME)
VALUES('1BBON31HS0+E', '1BBON31HNT0L', 'zh_CN', '共享-信用看板定时计算');
INSERT INTO T_SCH_SCHEDULE_L (FPKID, FID, FLOCALEID, FNAME)
VALUES('1BBON31HS0+F', '1BBON31HNT0L', 'zh_TW', '共享-信用看板定時計算');

DELETE FROM T_SCH_SCHEDULE_ENTRY WHERE FENTRYID='1BBON31HNT0M';
INSERT INTO T_SCH_SCHEDULE_ENTRY (FID, FENTRYID, FSEQ, FJOBNUMBER)
VALUES('1BBON31HNT0L', '1BBON31HNT0M', 1, '1BB=5Z0=BCKP');
