﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SSC_constraint.sql **/

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SSC_IMAGEMAP_MODIFYTIME') CREATE INDEX IDX_SSC_IMAGEMAP_MODIFYTIME ON T_TK_BILLIMAGEMAP ( FMODIFYTIME  DESC );

 EXEC P_ALTERPK 'PK_T_TK_MAPPED_BILLTYPE', 'T_TK_MAPPED_BILLTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TK_MAPPED_BILLTYPE') CREATE INDEX IDX_TK_MAPPED_BILLTYPE ON T_TK_MAPPED_BILLTYPE ( FBILLTYPE );


 EXEC P_ALTERPK 'PK_T_TK_MAPPED_RELATION', 'T_TK_MAPPED_RELATION', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TK_MAPPED_RELATION') CREATE INDEX IDX_TK_MAPPED_RELATION ON T_TK_MAPPED_RELATION ( FBILLFIELDSOURCENUMBER );


 EXEC P_ALTERPK 'PK_T_TK_SMARTAPPROVAL_DATA', 'T_TK_SMARTAPPROVAL_DATA', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SSC_APPROVAL_DATA_STATUS') CREATE INDEX IDX_SSC_APPROVAL_DATA_STATUS ON T_TK_SMARTAPPROVAL_DATA ( FSTATUS );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SSC_APPROVAL_DATA_TASKID') CREATE INDEX IDX_SSC_APPROVAL_DATA_TASKID ON T_TK_SMARTAPPROVAL_DATA ( FTASKID );

EXEC P_ALTERPK 'PK_T_TK_APPROVE_ALGORITHM', 'T_TK_APPROVE_ALGORITHM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SSC_APPRALGO_NUMBER') CREATE INDEX IDX_SSC_APPRALGO_NUMBER ON T_TK_APPROVE_ALGORITHM ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_TK_APPROVE_ALGORITHM_L', 'T_TK_APPROVE_ALGORITHM_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SSC_SMART_APPRALGO_L') CREATE INDEX IDX_SSC_SMART_APPRALGO_L ON T_TK_APPROVE_ALGORITHM_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_TK_ALGRI_INFLUENTRY', 'T_TK_ALGRI_INFLUENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SSC_APPRALGO_FACTOR') CREATE INDEX IDX_SSC_APPRALGO_FACTOR ON T_TK_ALGRI_INFLUENTRY ( FINFLUENCEFACTOR );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SSC_constraint.sql **/
