﻿/**Begin D:\my-Kingdee\DBA\PDM_UPGRADE\pdm1\SSC_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_TK_SCS_PRESET_GROUP', 'T_TK_SCS_PRESET_GROUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'INDEX_SCS_PREGROUP_NUMBER') CREATE INDEX INDEX_SCS_PREGROUP_NUMBER ON T_TK_SCS_PRESET_GROUP ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_TK_SCS_PRESET_GROUP_L', 'T_TK_SCS_PRESET_GROUP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCS_PREGROUP_L_FID') CREATE INDEX IDX_SCS_PREGROUP_L_FID ON T_TK_SCS_PRESET_GROUP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_TK_SCS_GROUP', 'T_TK_SCS_GROUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCS_GROUP_CREATEORG') CREATE INDEX IDX_SCS_GROUP_CREATEORG ON T_TK_SCS_GROUP ( FCREATEORGID ,FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCS_GROUP_PRESETID') CREATE INDEX IDX_SCS_GROUP_PRESETID ON T_TK_SCS_GROUP ( FPRESETID );


 EXEC P_ALTERPK 'PK_T_TK_SCS_GROUP_L', 'T_TK_SCS_GROUP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCS_GROUP_L_FID') CREATE INDEX IDX_SCS_GROUP_L_FID ON T_TK_SCS_GROUP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_TK_SCS_STAFF', 'T_TK_SCS_STAFF', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCS_STAFF_CREATEORG') CREATE INDEX IDX_SCS_STAFF_CREATEORG ON T_TK_SCS_STAFF ( FCREATEORGID ,FUSERID );


 EXEC P_ALTERPK 'PK_T_TK_SCS_STAFF_L', 'T_TK_SCS_STAFF_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SCS_STAFF_L_FID') CREATE INDEX IDX_SCS_STAFF_L_FID ON T_TK_SCS_STAFF_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_TK_SCS_STAFFENTRY', 'T_TK_SCS_STAFFENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SSC_SCS_ISENABLE') CREATE INDEX IDX_SSC_SCS_ISENABLE ON T_TK_SCS_STAFFENTRY ( FISENABLE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SSC_SCS_GROUPID') CREATE INDEX IDX_SSC_SCS_GROUPID ON T_TK_SCS_STAFFENTRY ( FGROUPID );



/**End D:\my-Kingdee\DBA\PDM_UPGRADE\pdm1\SSC_constraint.sql **/
