﻿/**Begin D:\my-Kingdee\DBA\PDM_UPGRADE\pdm1\som_indicators_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_TK_RPS_M_USERGROUP', 'T_TK_RPS_M_USERGROUP', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SSC_RPSUSERGROUP_ID') CREATE INDEX IDX_SSC_RPSUSERGROUP_ID ON T_TK_RPS_M_USERGROUP ( FID );


 EXEC P_ALTERPK 'PK_T_TK_RPS_M_ORG', 'T_TK_RPS_M_ORG', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SSC_RPSORG_ID') CREATE INDEX IDX_SSC_RPSORG_ID ON T_TK_RPS_M_ORG ( FID );


 EXEC P_ALTERPK 'PK_T_TK_RP_ENTRY', 'T_TK_RP_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SSC_ADVICEENTRY_EID') CREATE INDEX IDX_SSC_ADVICEENTRY_EID ON T_TK_RP_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_TK_REPORTSHEME_L', 'T_TK_REPORTSHEME_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SSC_REPORTSHEME_L_ID') CREATE INDEX IDX_SSC_REPORTSHEME_L_ID ON T_TK_REPORTSHEME_L ( FID );


 EXEC P_ALTERPK 'PK_T_TK_REPORTSHEME', 'T_TK_REPORTSHEME', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SSC_REPORTSHEME_NO') CREATE INDEX IDX_SSC_REPORTSHEME_NO ON T_TK_REPORTSHEME ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_TK_REPORT', 'T_TK_REPORT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SSC_REPORT_NUMBER') CREATE INDEX IDX_SSC_REPORT_NUMBER ON T_TK_REPORT ( FBILLNO );


 EXEC P_ALTERPK 'PK_TK_INDICATORSGROUP_L', 'T_TK_INDICATORSGROUP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SSC_INDIGROUP_L_ID') CREATE INDEX IDX_SSC_INDIGROUP_L_ID ON T_TK_INDICATORSGROUP_L ( FID );


 EXEC P_ALTERPK 'PK_T_TK_INDICATORSGROUP', 'T_TK_INDICATORSGROUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SSC_INDIGROUP_NUMBER') CREATE INDEX IDX_SSC_INDIGROUP_NUMBER ON T_TK_INDICATORSGROUP ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_TK_INDICATORS_L', 'T_TK_INDICATORS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SSC_INDICATORS_L_ID') CREATE INDEX IDX_SSC_INDICATORS_L_ID ON T_TK_INDICATORS_L ( FID );


 EXEC P_ALTERPK 'PK_T_TK_INDICATORS', 'T_TK_INDICATORS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SSC_INDICATORS_NUMBER') CREATE INDEX IDX_SSC_INDICATORS_NUMBER ON T_TK_INDICATORS ( FNUMBER );

/**
-- 以下表结构第一期没做，暂时不上
 EXEC P_ALTERPK 'PK_T_TK_RIKSWARNING_L', 'T_TK_RIKSWARNING_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SSC_RISKWARNING_L_ID') CREATE INDEX IDX_SSC_RISKWARNING_L_ID ON T_TK_RIKSWARNING_L ( FID );


 EXEC P_ALTERPK 'PK_T_TK_RISKWARNING_GROUP_L', 'T_TK_RISKWARNING_GROUP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SSC_RISK_GROUP_L_ID') CREATE INDEX IDX_SSC_RISK_GROUP_L_ID ON T_TK_RISKWARNING_GROUP_L ( FID );


 EXEC P_ALTERPK 'PK_T_TK_RISKWARNING_GROUP', 'T_TK_RISKWARNING_GROUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SSC_RISK_GROUP_NUMBER') CREATE INDEX IDX_SSC_RISK_GROUP_NUMBER ON T_TK_RISKWARNING_GROUP ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_TK_RISKWARNING', 'T_TK_RISKWARNING', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SSC_RISK_NUMBER') CREATE INDEX IDX_SSC_RISK_NUMBER ON T_TK_RISKWARNING ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_TK_OPTADVICE_L', 'T_TK_OPTADVICE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SSC_OPTADVICE_L_ID') CREATE INDEX IDX_SSC_OPTADVICE_L_ID ON T_TK_OPTADVICE_L ( FID );


 EXEC P_ALTERPK 'PK_T_TK_OPTADVICE_GROUP_L', 'T_TK_OPTADVICE_GROUP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SSC_ADVICE_GROUP_L_ID') CREATE INDEX IDX_SSC_ADVICE_GROUP_L_ID ON T_TK_OPTADVICE_GROUP_L ( FID );


 EXEC P_ALTERPK 'PK_T_TK_OPTADVICE_GROUP', 'T_TK_OPTADVICE_GROUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SSC_ADVICEGROUP_NO') CREATE INDEX IDX_SSC_ADVICEGROUP_NO ON T_TK_OPTADVICE_GROUP ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_TK_OPTADVICE_ENTRY', 'T_TK_OPTADVICE_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SSC_ADVICE_ENTRY_ID') CREATE INDEX IDX_SSC_ADVICE_ENTRY_ID ON T_TK_OPTADVICE_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_TK_OPTADVICE', 'T_TK_OPTADVICE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SSC_OPTADVICE_NUMBER') CREATE INDEX IDX_SSC_OPTADVICE_NUMBER ON T_TK_OPTADVICE ( FNUMBER );

**/

/**End D:\my-Kingdee\DBA\PDM_UPGRADE\pdm1\som_indicators_constraint.sql **/
