﻿-- 绩效指标表增加字段fgroupid
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TK_ACHIEVETARGET' AND KSQL_COL_NAME IN ('FGROUPID')) 
 ALTER TABLE T_TK_ACHIEVETARGET ADD (FGROUPID BIGINT DEFAULT 0 NOT NULL );
-- 计算因子主表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_CALFACTOR') 
 CREATE TABLE T_TK_CALFACTOR (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY CHAR(1) DEFAULT '7' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX BIGINT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISPRESET CHAR(1) DEFAULT '1' NOT NULL,
FDATASOURCE CHAR(1) DEFAULT '1' NOT NULL,
FJAVAPLUGIN VARCHAR(500) DEFAULT ' ' NOT NULL,
FENTITYOBJECT VARCHAR(36) DEFAULT ' ' NOT NULL,
FCONDITIONTEXT VARCHAR(2000) DEFAULT ' ' NOT NULL,
FCONDITIONJSON VARCHAR(2000) DEFAULT ' ' NOT NULL,
FAGGMODE VARCHAR(10) DEFAULT ' ' NOT NULL,
FAGGOBJECT VARCHAR(50) DEFAULT ' ' NOT NULL,
FAGGFIELDNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FFIELDMAPPING VARCHAR(255) DEFAULT ' ' NOT NULL
);

-- 计算因子多语言表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_CALFACTOR_L') 
 CREATE TABLE T_TK_CALFACTOR_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);

-- 绩效指标分类表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_ACHIEVEKIND') 
 CREATE TABLE T_TK_ACHIEVEKIND (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY CHAR(1) DEFAULT '7' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX BIGINT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
FISPRESET CHAR(1) DEFAULT '1' NOT NULL
);

-- 绩效指标分类多语言表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_ACHIEVEKIND_L') 
 CREATE TABLE T_TK_ACHIEVEKIND_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End D:\my-Kingdee\DBA\PDM_UPGRADE\pdm1\SSC_table.sql **/
