﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SSC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_CREDITBYBREAKRULE_L') 
 CREATE TABLE T_TK_CREDITBYBREAKRULE_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TK_CREDITBYIMAGE' AND KSQL_COL_NAME ='FCREATEORGID') 
 ALTER TABLE T_TK_CREDITBYIMAGE ADD (FCREATEORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TK_CREDITBYIMAGE' AND KSQL_COL_NAME ='FORGID') 
 ALTER TABLE T_TK_CREDITBYIMAGE ADD (FORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TK_CREDITBYIMAGE' AND KSQL_COL_NAME ='FCTRLSTRATEGY') 
 ALTER TABLE T_TK_CREDITBYIMAGE ADD (FCTRLSTRATEGY VARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TK_CREDITBYIMAGE' AND KSQL_COL_NAME ='FOUTDATENUM') 
 ALTER TABLE T_TK_CREDITBYIMAGE ADD (FOUTDATENUM INT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TK_CREDITBYIMAGE' AND KSQL_COL_NAME ='FSUBSCORE') 
 ALTER TABLE T_TK_CREDITBYIMAGE ADD (FSUBSCORE DECIMAL(19,6) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_CREDITBYBREAKRULE') 
 CREATE TABLE T_TK_CREDITBYBREAKRULE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(30) DEFAULT ' ' NOT NULL,
FSUBSCORE DECIMAL(19,6) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_CREDITBYQUALITY') 
 CREATE TABLE T_TK_CREDITBYQUALITY (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(30) DEFAULT ' ' NOT NULL,
FQUALITYCHECK BIGINT DEFAULT 0 NOT NULL,
FSUBSCORE DECIMAL(19,6) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TK_TASKBILLCHILD' AND KSQL_COL_NAME ='FAUTODECISION') 
 ALTER TABLE T_TK_TASKBILLCHILD ADD (FAUTODECISION BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_CREDITBYWITHDRAWAL') 
 CREATE TABLE T_TK_CREDITBYWITHDRAWAL (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(30) DEFAULT ' ' NOT NULL,
FWITHDRAWAL BIGINT DEFAULT 0 NOT NULL,
FSUBSCORE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSUBSCORESTRING NVARCHAR(250) DEFAULT ' ' NOT NULL,
FSUBLEVEL BIGINT DEFAULT 0 NOT NULL,
FFLAG CHAR(1) DEFAULT ' ' NOT NULL
);


 EXEC p_AlterColumn 'T_TK_CREDITCOMMRULE', 'FADDSCORE', 'DECIMAL(19,6)', 'NOT NULL', '1111', '0';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TK_CREDITCOMMRULE' AND KSQL_COL_NAME ='FADDSCOREPER') 
 ALTER TABLE T_TK_CREDITCOMMRULE ADD (FADDSCOREPER DECIMAL(19,6) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TK_CREDITCOMMRULE' AND KSQL_COL_NAME ='FLEVELSTART') 
 ALTER TABLE T_TK_CREDITCOMMRULE ADD (FLEVELSTART BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TK_CREDITCOMMRULE' AND KSQL_COL_NAME ='FLEVELEND') 
 ALTER TABLE T_TK_CREDITCOMMRULE ADD (FLEVELEND BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TK_CREDITCOMMRULE' AND KSQL_COL_NAME ='FFLAG') 
 ALTER TABLE T_TK_CREDITCOMMRULE ADD (FFLAG CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TK_CREDITCOMMRULE_L' AND KSQL_COL_NAME ='FADDSCORESTR') 
 ALTER TABLE T_TK_CREDITCOMMRULE_L ADD (FADDSCORESTR NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_CREDITBYWITHDRAWAL_L') 
 CREATE TABLE T_TK_CREDITBYWITHDRAWAL_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FSUBSCORESTRING NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SSC_table.sql **/
