﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SSC_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_TK_SMARTCHECKSCHEME', 'T_TK_SMARTCHECKSCHEME', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SSC_SMARTCHECKSCH_FSSCID') CREATE INDEX IDX_SSC_SMARTCHECKSCH_FSSCID ON T_TK_SMARTCHECKSCHEME ( FSSCID );


 EXEC P_ALTERPK 'PK_T_TK_SMARTCHECKSCHEME_L', 'T_TK_SMARTCHECKSCHEME_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'INDEX_SSC_SMARTCHECKSCH_L_FID') CREATE INDEX INDEX_SSC_SMARTCHECKSCH_L_FID ON T_TK_SMARTCHECKSCHEME_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_TK_SMARTSCHEMEORG', 'T_TK_SMARTSCHEMEORG', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'INDEX_SSC_SMARTSELECTEDORG') CREATE INDEX INDEX_SSC_SMARTSELECTEDORG ON T_TK_SMARTSCHEMEORG ( FBASEDATAID );


 EXEC P_ALTERPK 'PK_T_TK_SMARTSCHEMETASKBILL', 'T_TK_SMARTSCHEMETASKBILL', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'INDEX_SSC_SMARTBILLTYPE') CREATE INDEX INDEX_SSC_SMARTBILLTYPE ON T_TK_SMARTSCHEMETASKBILL ( FBASEDATAID );


 EXEC P_ALTERPK 'PK_T_TK_SMARTSCHEMETASKTYPE', 'T_TK_SMARTSCHEMETASKTYPE', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'INDEX_SSC_SMARTTASKTYPE') CREATE INDEX INDEX_SSC_SMARTTASKTYPE ON T_TK_SMARTSCHEMETASKTYPE ( FBASEDATAID );


 EXEC P_ALTERPK 'PK_T_TK_TASKHISTORY_Q', 'T_TK_TASKHISTORY_Q', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SSC_TASKHISTORY_Q_VAL') CREATE INDEX IDX_SSC_TASKHISTORY_Q_VAL ON T_TK_TASKHISTORY_Q ( FPREDICTVALUE );
 

 EXEC P_ALTERPK 'PK_T_TK_SMARTSCHEMECPENTRY', 'T_TK_SMARTSCHEMECPENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SSC_SMARTQUALMSGENTRY') CREATE INDEX IDX_SSC_SMARTQUALMSGENTRY ON T_TK_SMARTSCHEMECPENTRY ( FID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SSC_constraint.sql **/
