﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SSC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TK_TASKQUANTITYDETAIL' AND KSQL_COL_NAME ='FTASKRATIO') 
 ALTER TABLE T_TK_TASKQUANTITYDETAIL ADD (FTASKRATIO NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TK_TASKQUANTITYDETAIL' AND KSQL_COL_NAME ='FRATIOID') 
 ALTER TABLE T_TK_TASKQUANTITYDETAIL ADD (FRATIOID VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TK_PARTASKINST' AND KSQL_COL_NAME ='FWORKFLOWID') 
 ALTER TABLE T_TK_PARTASKINST ADD (FWORKFLOWID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_SMARTCHECKSCHEME') 
 CREATE TABLE T_TK_SMARTCHECKSCHEME (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSSCID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FQUALITYCHECKTASKTYPE BIGINT DEFAULT 0 NOT NULL,
FTASKDURATION BIGINT DEFAULT 0 NOT NULL,
FWARNINGTIME BIGINT DEFAULT 0 NOT NULL,
FSAMPLINGMETHOD CHAR(1) DEFAULT ' ' NOT NULL,
FPERCENTAGE BIGINT DEFAULT 0 NOT NULL,
FSAMPLESIZE BIGINT DEFAULT 0 NOT NULL,
FDISRULE CHAR(1) DEFAULT ' ' NOT NULL,
FTIMEFRAME VARCHAR(2) DEFAULT ' ' NOT NULL,
FENDDATE DATETIME,
FSTARTDATE DATETIME,
FISREPEATSAMPLE CHAR(1) DEFAULT '0' NOT NULL,
FREFORMRATE BIGINT DEFAULT 0 NOT NULL,
FEXECUTEMODE CHAR(1) DEFAULT 'n' NOT NULL,
FWEEK VARCHAR(100) DEFAULT ' ' NOT NULL,
FMONTH VARCHAR(100) DEFAULT ' ' NOT NULL,
FDATE VARCHAR(100) DEFAULT ' ' NOT NULL,
FISAUTOPROCESS CHAR(1) DEFAULT '0' NOT NULL,
FDISMETHOD CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_SMARTCHECKSCHEME_L') 
 CREATE TABLE T_TK_SMARTCHECKSCHEME_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_SMARTSCHEMEORG') 
 CREATE TABLE T_TK_SMARTSCHEMEORG (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_SMARTSCHEMETASKBILL') 
 CREATE TABLE T_TK_SMARTSCHEMETASKBILL (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_SMARTSCHEMETASKTYPE') 
 CREATE TABLE T_TK_SMARTSCHEMETASKTYPE (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_TASKHISTORY_Q') 
 CREATE TABLE T_TK_TASKHISTORY_Q (
FID BIGINT DEFAULT 0 NOT NULL,
FPREDICTLEVEL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPREDICTVALUE DECIMAL(19,6) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TK_CHECKSAMPLELIBRARY' AND KSQL_COL_NAME ='FISSMART') 
 ALTER TABLE T_TK_CHECKSAMPLELIBRARY ADD (FISSMART CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TK_CHECKSAMPLELIBRARY' AND KSQL_COL_NAME ='FSMARTCHECKSCHEME') 
 ALTER TABLE T_TK_CHECKSAMPLELIBRARY ADD (FSMARTCHECKSCHEME BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TK_CHECKSAMPLELIBRARY' AND KSQL_COL_NAME ='FREFORMNUM') 
 ALTER TABLE T_TK_CHECKSAMPLELIBRARY ADD (FREFORMNUM INT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_SMARTSCHEMECPENTRY') 
 CREATE TABLE T_TK_SMARTSCHEMECPENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCPNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FCPNAME BIGINT DEFAULT 0 NOT NULL,
FCPDESCRIPTION NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TK_PARTASKINSTNODE' AND KSQL_COL_NAME ='FBILLID') 
 ALTER TABLE T_TK_PARTASKINSTNODE ADD (FBILLID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TK_PARTASKINSTNODE' AND KSQL_COL_NAME ='FWORKFLOWID') 
 ALTER TABLE T_TK_PARTASKINSTNODE ADD (FWORKFLOWID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TK_PARTASKINSTNODE' AND KSQL_COL_NAME ='FPERSONID') 
 ALTER TABLE T_TK_PARTASKINSTNODE ADD (FPERSONID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TK_PARTASKINSTNODE' AND KSQL_COL_NAME ='FCREATEDATE') 
 ALTER TABLE T_TK_PARTASKINSTNODE ADD (FCREATEDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TK_PARTASKINSTNODE' AND KSQL_COL_NAME ='FDEALDATE') 
 ALTER TABLE T_TK_PARTASKINSTNODE ADD (FDEALDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TK_PARTASKINSTNODE' AND KSQL_COL_NAME ='FAUDITMSG') 
 ALTER TABLE T_TK_PARTASKINSTNODE ADD (FAUDITMSG NVARCHAR(1024) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TK_PARTASKINSTNODE' AND KSQL_COL_NAME ='FTASKSTATE') 
 ALTER TABLE T_TK_PARTASKINSTNODE ADD (FTASKSTATE VARCHAR(3) DEFAULT ' ' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SSC_table.sql **/
