﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SSC_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_TK_TKPROCHARTSTATISTIC', 'T_TK_TKPROCHARTSTATISTIC', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TK_TKROCHSTASTIC_SSC') CREATE INDEX IDX_TK_TKROCHSTASTIC_SSC ON T_TK_TKPROCHARTSTATISTIC ( FSSCID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TK_TKROSTASTIC__TASKTYPE') CREATE INDEX IDX_TK_TKROSTASTIC__TASKTYPE ON T_TK_TKPROCHARTSTATISTIC ( FTASKTYPEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TK_TKROSTASTIC__DATERANGE') CREATE INDEX IDX_TK_TKROSTASTIC__DATERANGE ON T_TK_TKPROCHARTSTATISTIC ( FDATETYPE );


 EXEC P_ALTERPK 'PK_T_TK_TKPROSTATISTIC', 'T_TK_TKPROSTATISTIC', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TK_TKPRSTAC_SSC') CREATE INDEX IDX_TK_TKPRSTAC_SSC ON T_TK_TKPROSTATISTIC ( FSSCID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TK_TKPRSTAC_TASKTYPE') CREATE INDEX IDX_TK_TKPRSTAC_TASKTYPE ON T_TK_TKPROSTATISTIC ( FTASKTYPEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TK_TKPRSTAC_DATERANGE') CREATE INDEX IDX_TK_TKPRSTAC_DATERANGE ON T_TK_TKPROSTATISTIC ( FDATETYPE );


 EXEC P_ALTERPK 'PK_T_TK_QUALITYSTATISTICS', 'T_TK_QUALITYSTATISTICS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TK_QUALITY_DATERANGE') CREATE INDEX IDX_TK_QUALITY_DATERANGE ON T_TK_QUALITYSTATISTICS ( FDATERANGE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TK_QUALITY_SSC') CREATE INDEX IDX_TK_QUALITY_SSC ON T_TK_QUALITYSTATISTICS ( FSSC );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TK_QUALITY_TASKTYPE') CREATE INDEX IDX_TK_QUALITY_TASKTYPE ON T_TK_QUALITYSTATISTICS ( FTASKTYPE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TK_QUALITY_ORG') CREATE INDEX IDX_TK_QUALITY_ORG ON T_TK_QUALITYSTATISTICS ( FORG );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TK_QUALITY_BILLTYPE') CREATE INDEX IDX_TK_QUALITY_BILLTYPE ON T_TK_QUALITYSTATISTICS ( FBILLTYPE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TK_QUALITY_PERSON') CREATE INDEX IDX_TK_QUALITY_PERSON ON T_TK_QUALITYSTATISTICS ( FPERSON );


 EXEC P_ALTERPK 'PK_T_TK_INVOICEVARIETYMAP', 'T_TK_INVOICEVARIETYMAP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'INDEX_SSC_INVOICEVARIETYMAP') CREATE INDEX INDEX_SSC_INVOICEVARIETYMAP ON T_TK_INVOICEVARIETYMAP ( FSOURCEINVOICESYSTEM );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SSC_constraint.sql **/
