﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SSC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_SATISFIEDTENANT') 
 CREATE TABLE T_TK_SATISFIEDTENANT (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(4) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FTHIRDORGID VARCHAR(200) DEFAULT ' ' NOT NULL,
FSUPERADMIN VARCHAR(50) DEFAULT ' ' NOT NULL,
FEXPIREDATATIME VARCHAR(50) DEFAULT ' ' NOT NULL,
FINSTANCEID VARCHAR(200) DEFAULT ' ' NOT NULL,
FMOBILE VARCHAR(50) DEFAULT ' ' NOT NULL,
FEMAIL VARCHAR(50) DEFAULT ' ' NOT NULL,
FSSCID BIGINT DEFAULT 0 NOT NULL,
FUSERSTATUS VARCHAR(4) DEFAULT ' ' NOT NULL,
FSECRETKEY VARCHAR(200) DEFAULT ' ' NOT NULL,
FAESKEY VARCHAR(200) DEFAULT ' ' NOT NULL,
FURL VARCHAR(250) DEFAULT ' ' NOT NULL,
FPASSWD VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_SATISFIEDTENANT_L') 
 CREATE TABLE T_TK_SATISFIEDTENANT_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


 EXEC p_AlterColumn 'T_TK_TASKBILLENTRY', 'FCONDITION', 'VARCHAR(2000)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_TK_TASKBILLENTRY', 'FCONDITIONJSON', 'VARCHAR(2000)', 'NOT NULL', '0100', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_SATISFIEDQUESTION_L') 
 CREATE TABLE T_TK_SATISFIEDQUESTION_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDELIVERTYPE NVARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_SATISFIEDQUESTION') 
 CREATE TABLE T_TK_SATISFIEDQUESTION (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FQUESTIONSTATUS VARCHAR(4) DEFAULT ' ' NOT NULL,
FSHEETNUM INT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFYDATE DATETIME,
FLAUNCHTIME DATETIME,
FDEADLINE DATETIME,
FBESTCEMUID VARCHAR(50) DEFAULT ' ' NOT NULL,
FBESTCEMQID VARCHAR(50) DEFAULT ' ' NOT NULL,
FBESTCEMQSTATUS VARCHAR(4) DEFAULT ' ' NOT NULL,
FBESTCEMPREVIEWLINK VARCHAR(200) DEFAULT ' ' NOT NULL,
FBESTCEMEDITLINK VARCHAR(200) DEFAULT ' ' NOT NULL,
FBESTCEMRESPONSELINK VARCHAR(200) DEFAULT ' ' NOT NULL,
FBESTCEMDELIVERLINK VARCHAR(500) DEFAULT ' ' NOT NULL,
FBESTCEMCUSTOMATTR VARCHAR(1000) DEFAULT ' ' NOT NULL,
FDELIVERURL VARCHAR(500) DEFAULT ' ' NOT NULL,
FTHIRDORGID VARCHAR(200) DEFAULT ' ' NOT NULL,
FBESTCEMDELIVERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(4) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(4) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TK_SATISFIEDLAUNCHLIST') 
 CREATE TABLE T_TK_SATISFIEDLAUNCHLIST (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FUSER BIGINT DEFAULT 0 NOT NULL,
FDEPT BIGINT DEFAULT 0 NOT NULL,
FDELIVERURL VARCHAR(500) DEFAULT ' ' NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SSC_table.sql **/
