-- 1、预置场景类型
DELETE FROM t_ssc_scenario_type WHERE FID = 2;
INSERT INTO t_ssc_scenario_type (FID, FNUMBER, FNAME, FSTATUS, FCREATORID, FMODIFIERID, FENABLE, FCREATETIME, FMODIFYTIME, FMASTERID, FPRESET)
VALUES(2, 'SYS_SCENARIO_TYPE_2', '分配任务失败', 'C', 1554197928703314944, 1554197928703314944, '1', {ts'2023-07-28  10:00:00'}, {ts'2023-07-28  10:00:00'}, 2, '1');
DELETE FROM t_ssc_scenario_type_l WHERE FPKID = '3E/RX=7WIBMQ';
INSERT INTO t_ssc_scenario_type_l (FPKID, FID, FLOCALEID, FNAME) VALUES('3E/RX=7WIBMQ', 2, 'zh_CN', '分配任务失败');
DELETE FROM t_ssc_scenario_type_l WHERE FPKID = '3E/RX=7WIBMR';
INSERT INTO t_ssc_scenario_type_l (FPKID, FID, FLOCALEID, FNAME) VALUES('3E/RX=7WIBMR', 2, 'zh_TW', '分配任務失敗');

-- 2、预置场景定义
DELETE FROM t_ssc_scenario_DEF WHERE FID = 2;
INSERT INTO t_ssc_scenario_def (FID, FNUMBER, FNAME, FSTATUS, FCREATORID, FMODIFIERID, FENABLE, FCREATETIME, FMODIFYTIME, FMASTERID, FGROUPID, FORGID, FCREATEORGID, FCTRLSTRATEGY, FSOURCEDATAID, FBITINDEX, FSOURCEBITINDEX, FPRESET, FDESCRIPTION, FEXCEPTIONINFO, FSOLUTION)
VALUES(2, 'SYS_SCENARIO_2', '业务异常', 'C', 0, 0, '1', {ts'2023-07-28  10:00:00'}, {ts'2023-07-28  10:00:00'}, 2, 2, 0, 0, '5', 0, 0, 0, '1', '任务分配过程中出现的业务异常造成任务分配异常。', '情况1.该共享任务在实际执行分配时，任务已被删除，造成无法分配。 情况2.系统问题或其他不可预见的异常和报错。', 2);
DELETE FROM t_ssc_scenario_def_l WHERE FPKID = '3E/WOG1EKXIX';
INSERT INTO t_ssc_scenario_def_l (fpkid, fid, flocaleid, fname, fdescription, fexceptioninfo) VALUES('3E/WOG1EKXIX', 2, 'zh_CN', '业务异常', '任务分配过程中出现的业务异常造成任务分配异常。', '情况1.该共享任务在实际执行分配时，任务已被删除，造成无法分配。 情况2.系统问题或其他不可预见的异常和报错。');
DELETE FROM t_ssc_scenario_def_l WHERE FPKID = '3E/WOG1EKXIY';
INSERT INTO t_ssc_scenario_def_l (fpkid, fid, flocaleid, fname, fdescription, fexceptioninfo) VALUES('3E/WOG1EKXIY', 2, 'zh_TW', '業務異常', '任務分配過程中出現的業務異常造成任務分配異常。', '情況1.該共享任務在實際執行分配時，任務已被刪除，造成無法分配。 情況2.係統問題或其他不可預見的異常和報錯。');

DELETE FROM t_ssc_scenario_DEF WHERE FID = 3;
INSERT INTO t_ssc_scenario_def (FID, FNUMBER, FNAME, FSTATUS, FCREATORID, FMODIFIERID, FENABLE, FCREATETIME, FMODIFYTIME, FMASTERID, FGROUPID, FORGID, FCREATEORGID, FCTRLSTRATEGY, FSOURCEDATAID, FBITINDEX, FSOURCEBITINDEX, FPRESET, FDESCRIPTION, FEXCEPTIONINFO, FSOLUTION)
VALUES(3, 'SYS_SCENARIO_3', '规则匹配异常', 'C', 0, 0, '1', {ts'2023-07-28  10:00:00'}, {ts'2023-07-28  10:00:00'}, 3, 2, 0, 0, '5', 0, 0, 0, '1', '规则匹配失败。', '任务分配过程中可能出现以下情况：1.无匹配规则；2.无匹配用户组；3.无匹配用户（不在岗或者满负荷）。', 3);
DELETE FROM t_ssc_scenario_def_l WHERE FPKID = '3E/YCNXZY0R2';
INSERT INTO t_ssc_scenario_def_l (fpkid, fid, flocaleid, fname, fdescription, fexceptioninfo) VALUES('3E/YCNXZY0R2', 3, 'zh_CN', '规则匹配异常', '规则匹配失败。', '任务分配过程中可能出现以下情况：1.无匹配规则；2.无匹配用户组；3.无匹配用户（不在岗或者满负荷）。');
DELETE FROM t_ssc_scenario_def_l WHERE FPKID = '3E/YCNXZY0R3';
INSERT INTO t_ssc_scenario_def_l (fpkid, fid, flocaleid, fname, fdescription, fexceptioninfo) VALUES('3E/YCNXZY0R3', 3, 'zh_TW', '規則匹配異常', '規則匹配失敗。', '任務分配過程中可能出現以下情況：1.無匹配規則；2.無匹配用戶組；3.無匹配用戶（不在崗或者滿負荷）。');

DELETE FROM t_ssc_scenario_DEF WHERE FID = 4;
INSERT INTO t_ssc_scenario_def (FID, FNUMBER, FNAME, FSTATUS, FCREATORID, FMODIFIERID, FENABLE, FCREATETIME, FMODIFYTIME, FMASTERID, FGROUPID, FORGID, FCREATEORGID, FCTRLSTRATEGY, FSOURCEDATAID, FBITINDEX, FSOURCEBITINDEX, FPRESET, FDESCRIPTION, FEXCEPTIONINFO, FSOLUTION)
VALUES(4, 'SYS_SCENARIO_4', '互斥异常', 'C', 0, 0, '1', {ts'2023-07-28  10:00:00'}, {ts'2023-07-28  10:00:00'}, 4, 2, 0, 0, '5', 0, 0, 0, '1', '当前任务被分配中，不能重复分配。', '该任务在本次分配时，有其他分配进程正在进行，无需处理。', 4);
DELETE FROM t_ssc_scenario_def_l WHERE FPKID = '3E0+78IJZBCO';
INSERT INTO t_ssc_scenario_def_l (fpkid, fid, flocaleid, fname, fdescription, fexceptioninfo) VALUES('3E0+78IJZBCO', 4, 'zh_CN', '互斥异常', '当前任务被分配中，不能重复分配。', '该任务在本次分配时，有其他分配进程正在进行，无需处理。');
DELETE FROM t_ssc_scenario_def_l WHERE FPKID = '3E0+78IJZBCP';
INSERT INTO t_ssc_scenario_def_l (fpkid, fid, flocaleid, fname, fdescription, fexceptioninfo) VALUES('3E0+78IJZBCP', 4, 'zh_TW', '互斥異常', '當前任務被分配中，不能重複分配。', '該任務在本次分配時，有其他分配進程正在進行，無需處理。');

-- 3、预置解决方案
DELETE FROM t_ssc_solution WHERE FID = 2;
INSERT INTO t_ssc_solution(FID,FHYPERLINKURL,FCREATEORGID,FMASTERID,FSTATUS,FSOLUTION_TAG,FNUMBER,FNAME,FCREATETIME,FMODIFIERID,FENABLE,FSOLUTION,FMODIFYTIME,FCREATORID)
VALUES (2,' ',0,2,'A','<p>情况一：</p>
<p>需要根据【业务属性】判断该任务是采用什么方式进行分配的，可在【共享任务中心-任务管理】中确认该任务是否存在，如任务仍存在，需联系管理员或运维服务人员排查问题。</p>
<p>一般是由于任务被删除造成的分配异常，可以不做处理，直到新的任务创建后自动分配即可。</p>
<p> </p>
<p>情况二：</p>
<p>如不符合上述情况，需联系管理员或运维服务人员排查问题。</p>','PRE-0002','业务异常解决方案',{ts'2023-07-28  10:00:00'},0,'1',' ',{ts'2023-07-28  10:00:00'},0);
DELETE FROM t_ssc_solution_l WHERE FID = 2;
INSERT INTO t_ssc_solution_l (fpkid, fid, flocaleid, fname) VALUES('354M4OKFODJJ', 2, 'zh_CN', '业务异常解决方案');
INSERT INTO t_ssc_solution_l (fpkid, fid, flocaleid, fname) VALUES('354M4OKFODJK', 2, 'zh_TW', '業務異常解決方案');

DELETE FROM t_ssc_solution WHERE FID = 3;
INSERT INTO t_ssc_solution(FID,FHYPERLINKURL,FCREATEORGID,FMASTERID,FSTATUS,FSOLUTION_TAG,FNUMBER,FNAME,FCREATETIME,FMODIFIERID,FENABLE,FSOLUTION,FMODIFYTIME,FCREATORID)
VALUES (3,'https://vip.kingdee.com/knowledge/specialDetail/207818676324882688?category=470228259268096768&id=470227555732321024&productLineId=2',0,3,'A','<p>可以按照以下顺序对配置进行检查：<br />1.任务分配规则：检查当前任务单据是否符合任务分配规则条件<br />2.用户组：任务分配规则中设置的用户组是否处于启用状态<br />3.用户：用户组中是否有用户处于启用状态并在岗<br />4.用户组中的启用状态并在岗的用户，是否未达到任务上限<br />详细内容见社区知识链接。</p>','PRE-0003','规则匹配异常解决方案',{ts'2023-07-28  10:00:00'},0,'1',' ',{ts'2023-07-28  10:00:00'},0);
DELETE FROM t_ssc_solution_l WHERE FID = 3;
INSERT INTO t_ssc_solution_l (fpkid, fid, flocaleid, fname) VALUES('354M4OKFODJL', 3, 'zh_CN', '规则匹配异常解决方案');
INSERT INTO t_ssc_solution_l (fpkid, fid, flocaleid, fname) VALUES('354M4OKFODJM', 3, 'zh_TW', '規則匹配異常解決方案');

DELETE FROM t_ssc_solution WHERE FID = 4;
INSERT INTO t_ssc_solution(FID,FHYPERLINKURL,FCREATEORGID,FMASTERID,FSTATUS,FSOLUTION_TAG,FNUMBER,FNAME,FCREATETIME,FMODIFIERID,FENABLE,FSOLUTION,FMODIFYTIME,FCREATORID)
VALUES (4,' ',0,4,'A','<p>该任务在本次分配时，有其他分配进程正在进行，无需处理。可观察一段时间后，该任务是否已经被成功分配，如出现其他情况的分配异常，根据异常类型进行处理即可。</p>','PRE-0004','互斥异常解决方案',{ts'2023-07-28  10:00:00'},0,'1',' ',{ts'2023-07-28  10:00:00'},0);
DELETE FROM t_ssc_solution_l WHERE FID = 4;
INSERT INTO t_ssc_solution_l (fpkid, fid, flocaleid, fname) VALUES('354M4OKFODJN', 4, 'zh_CN', '互斥异常解决方案');
INSERT INTO t_ssc_solution_l (fpkid, fid, flocaleid, fname) VALUES('354M4OKFODJO', 4, 'zh_TW', '互斥異常解決方案');