﻿--历史数据任务状态升级
--1.审单任务：处理环节为待上传影像，任务状态为正常或分配异常的将其任务状态改为待上传影像
update t_tk_task set fstate = '11' where fpooltype = '3' and fstate in ('1', '10') and fqualitysamplelibraryid = 0;

--2.审单任务：处理环节为待分配，任务状态为正常的将其任务状态改为待分配
update t_tk_task set fstate = '12' where fpooltype = '0' and fstate = '1' and fqualitysamplelibraryid = 0;

--3.审单任务：处理环节为处理中，任务状态为正常的将其任务状态改为待审核
update t_tk_task set fstate = '13' where fpooltype = '1' and fstate = '1' and fqualitysamplelibraryid = 0;

--4.质检任务：处理环节为待分配，任务状态为回收的，将其任务状态改为待手工分配
update t_tk_task set fstate = '22' where fpooltype = '0' and fstate = '8' and fqualitysamplelibraryid > 0;

--5.质检任务：处理环节为处理中，质检任务状态也是处理中的，将其任务状态改为待质检
update t_tk_task set fstate = '14' where fqualitysamplelibraryid > 0 and  fpooltype = '1' and fqualitystate = '1';

--6.质检任务：处理环节为处理中，质检任务状态为待整改的，将其任务状态改为待整改
update t_tk_task set fstate = '15' where fqualitysamplelibraryid > 0 and  fpooltype = '1' and fqualitystate = '2';

--7.质检任务：处理环节为处理中，质检任务状态为待复核的，将其任务状态改为待复核
update t_tk_task set fstate = '16' where fqualitysamplelibraryid > 0 and  fpooltype = '1' and fqualitystate = '3';

--8.质检任务：处理环节为处理中，质检任务状态暂挂的，将其任务状态改为质检暂挂/整改暂挂/复核暂挂
update t_tk_task a set fstate = (
    case (select forgtype from t_tk_qcpauserecord b where b.fqctaskid = a.fid) 
	when '1' then '17'
	when '2' then '18'
	else '19'
	end
)  where fqualitysamplelibraryid > 0 and fpooltype = '1' and fqualitystate = '6' and (select forgtype from t_tk_qcpauserecord b where b.fqctaskid = a.fid) is not null;

--9.质检任务：处理环节为已完成的，将其任务状态改为质检完成
update t_tk_taskhistory set fstate = '21' where fqualitysamplelibraryid > 0;

--10.状态变更记录：

